Hi

I was configuring symbols in the last version of ProcessExplorer that  I recently downloaded and I got this error:

"The DLL you specified is not a valid version of the Debugging Tools"

 

 

I was using a 32bit version of Debugging Tool for Windows but having a 64bits SO it is needed a Debugging Tool for Windows 64bits version, so I just installed the 64bit version and that was it. Everything worked fine!

So again pay attention to the software version you are installing (32Bits or 64 Bits) and always remember the version of your Windows (32Bits or 64 Bits)